Crazy Eddies GUI System: CEGUI::RenderedStringWidgetComponent Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
CEGUI::RenderedStringWidgetComponent Class Reference

String component that moves a widget to appear as part of the string. More...

Inheritance diagram for CEGUI::RenderedStringWidgetComponent:
[legend]
Collaboration diagram for CEGUI::RenderedStringWidgetComponent:
[legend]

List of all members.

## Public Member Functions
| RenderedStringWidgetComponent ()
| Constructor.
| RenderedStringWidgetComponent (const String &widget_name)
| RenderedStringWidgetComponent (Window *widget)
void | setWindow (const String &widget_name)
| Set the window to be controlled by this component.
void | setWindow (Window *widget)
| Set the window to be controlled by this component.
const Window * | getWindow () const
| return the window currently controlled by this component
void | draw (GeometryBuffer &buffer, const Vector2 &position, const ColourRect *mod_colours, const Rect *clip_rect, const float vertical_space, const float space_extra) const
| draw the component.
Size | getPixelSize () const
| return the pixel size of the rendered component.
bool | canSplit () const
| return whether the component can be split
RenderedStringWidgetComponent * | split (float split_point, bool first_component)
| split the component as close to split_point as possible, returning a new RenderedStringComponent of the same type as '*this' holding the left side of the split, and leaving the right side of the split in this object.
RenderedStringWidgetComponent * | clone () const
| clone this component.
size_t | getSpaceCount () const
| return the total number of spacing characters in the string.
## Protected Attributes
Window * | d_window
| pointer to the window controlled by this component.

## Detailed Description

String component that moves a widget to appear as part of the string.

## Member Function Documentation

RenderedStringWidgetComponent* CEGUI::RenderedStringWidgetComponent::split | ( | float | split_point,
|  | bool | first_component
| ) |  | `[virtual]`

split the component as close to split_point as possible, returning a new RenderedStringComponent of the same type as '*this' holding the left side of the split, and leaving the right side of the split in this object.

Exceptions:

  InvalidRequestException | thrown if the RenderedStringComponent does not support being split.

Implements CEGUI::RenderedStringComponent.